--- title: "Send Email" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/mail/send-email/ description: "This API enables you to send emails from a verified email address from your Catalyst application through Catalyst Mail." last_updated: 2026-08-28T06:26:16Z service: Cloud Scale type: api --- # Mail [Catalyst Mail](https://docs.catalyst.zoho.com/en/cloud-scale/help/mail/introduction/) enables you to add the email addresses of your business that will be used to send emails to the end-users from your Catalyst application. You can configure email addresses of public domains or of your organization's own domains. You can also use an external email client of your choice and configure its SMTP settings with Catalyst, instead of using the built-in Catalyst email client. You can perform these configurations from the console. # Send Email ### Description This API enables you to send emails from a verified email address to the recipients you specify, from your Catalyst application. Catalyst enables you to set multiple email addresses as the receivers, and to CC, BCC, and reply to through a single send mail operation. You can also attach files in your email. The **maximum supported limits** for email recipients and file attachments in a single send mail operation are specified below: * To address: 10 * CC: 10 * BCC: 5 * Reply to: 5 * Number of file attachments: 5 * Size of file attachments: 15 MB (through a single file or multiple files up to 5 files) You must pass the sender and receiver email addresses, the subject, content, and the attachments of the email as form-data in your API request. The keys to be passed as **form-data**, along with sample values are specified in the *Form-Data Properties* section below. > **Note:** You must have [configured and verified the sender's email address](https://docs.catalyst.zoho.com/en/cloud-scale/help/mail/email-configuration/) in the Catalyst console to be able to send emails. If the sender's email is hosted on a private domain or if you choose to use a third-party email client, you must configure them before sending emails as well. ### Request Details #### Request URL `POST` {api-domain}/baas/v1/project/{project_id}/email/send - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Content-Type:** multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.email.CREATE #### Form-Data Properties - **from_email** ( , mandatory): The sender's email address that is configured in Catalyst Mail - **to_email** ( , atleast one recipient mandatory): Email addresses of the recipients - **cc** ( , optional): Email addresses to carbon copy (cc) - **bcc** ( , optional): Email addresses to blind carbon copy (bcc) - **reply_to** ( , optional): Email addresses to reply to - **attachments** ( , optional): The files to be attached in the email - **subject** ( , mandatory): The subject of the email - **content** ( , optional): The body of the email. You can pass the content in a HTML format by setting the `html_mode` as "True". - **html_mode** ( , optional): Specifies if the email content is in a HTML format. You must pass `true` or `false` as the value. If the value is `false`, the email content is in a regular text format. - **display_name** ( , optional): The display name of the sender ### Response Details The response returns the details of the email that was sent such as the status of the sent email, the project details, `from_email`, `to_email`, and `content`. **Sample Request** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/email/send \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" \ -H "Content-Type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW" \ -F from_email=emma@zylker.com \ -F to_email=vanessa.hyde@zoho.com,r.owens@zoho.com,chang.lee@zoho.com \ -F cc=p.boyle@zylker.com,robert.plant@zylker.com \ -F bcc=ham.gunn@zylker.com,rover.jenkins@zylker.com \ -F reply_to=peter.d@zoho.com,arnold.h@zoho.com \ -F attachments=kycform.pdf \ -F subject="Greetings from Zylker Corp!" \ -F content="
Hello,
We're glad to welcome you at Zylker Corp. To begin your journey with us, please download the attached KYC form and fill in your details. You can send us the completed form to this same email address. We cannot wait to get started!
Cheers!
Team Zylker
" \ -F html_mode=true \ -F display_name="Amelia Burrows" \ ``` **Sample Response** ```json { "status": "success", "data": { "isAsync": false, "project_details": { "project_name": "Onboarding", "id": 2648000000235047, "project_type": "Live" }, "display_name": "Amelia Burrows", "from_email": "emma@zylker.com", "to_email": [ "vanessa.hyde@zoho.com", "r.owens@zoho.com", "chang.lee@zoho.com" ], "cc": [ "p.boyle@zylker.com", "robert.plant@zylker.com" ], "bcc": [ "ham.gunn@zylker.com", "rover.jenkins@zylker.com" ], "html_mode": true, "subject": "Greetings from Zylker Corp!", "content": "Hello,
We're glad to welcome you at Zylker Corp. To begin your journey with us, please download thattached KYC form and fill in your details. You can send us the completed form to this same email address. We cannowait to get started!
Cheers!
Team Zylker
", "reply_to": [ "peter.d@zoho.com", "arnold.h@zoho.com" ] } } ``` ### SDK Documentation [Send Email- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/mail/send-email) [Send Email- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/mail/send-email) [Send Email- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/mail/send-email)